'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (entity) {
  var iterator, node, parsedEntity, path, x;
  parsedEntity = {};
  iterator = new _recursiveIterator2.default(entity);
  var _iteratorNormalCompletion = true;
  var _didIteratorError = false;
  var _iteratorError = undefined;

  try {
    for (var _iterator = iterator[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
      x = _step.value;
      var _x = x;
      node = _x.node;
      path = _x.path;

      if (POSTFIXES.some(function (p) {
        return RegExp('\\w+' + p).test(path[path.length - 1]);
      }) && typeof node === 'string') {
        node = (0, _moment2.default)(node);
      }
      (0, _lodash.set)(parsedEntity, path, node);
    }
  } catch (err) {
    _didIteratorError = true;
    _iteratorError = err;
  } finally {
    try {
      if (!_iteratorNormalCompletion && _iterator.return) {
        _iterator.return();
      }
    } finally {
      if (_didIteratorError) {
        throw _iteratorError;
      }
    }
  }

  return parsedEntity;
};

var _lodash = require('lodash');

var _recursiveIterator = require('recursive-iterator');

var _recursiveIterator2 = _interopRequireDefault(_recursiveIterator);

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var POSTFIXES;

POSTFIXES = ['At', 'Date'];

;

